import SpanManager from '../SpanManager';
var NAME = 'SpanManager';
describe("".concat(NAME), function () {
  var spanManager = new SpanManager();
  it('add span info', function () {
    // 第一行，第一列，仅融合自身列，向下融合两行
    spanManager.add(0, 0, 1, 2);
  });
  it('test skip', function () {
    // 第二行，第一列跳过渲染
    expect(spanManager.testSkip(1, 0)).toBe(true); // 第四行，第一列不跳过渲染

    expect(spanManager.testSkip(3, 0)).toBe(false);
  });
  it('strip upwards span info', function () {
    spanManager.stripUpwards(0);
  });
});